Bug 1265308 - Distribution cannot be prioritized when removing a brick
Distribution cannot be prioritized when removing a brick
Status: NEW
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
mainline
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Nithya Balachandran
dht-rebalance-usability
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 11:51 EDT by ashka
Modified: 2017-05-22 04:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ashka 2015-09-22 11:51:52 EDT
Description of problem:
It is not possible to prioritize to which brick the files from the removed brick go. This could be useful in case of adding a new brick then removing an older brick in order to move all the files from the older brick to the new brick.
Comment 1 Soumya Koduri 2015-09-29 08:21:49 EDT
In my opinion, as files get distributed based on the elastic hashing algorithm used, it shall not be possible (by design) to move the files to a specific brick chose by admin. CCin few who shall be able to provide better inputs.
Comment 2 Kaleb KEITHLEY 2015-10-22 13:00:12 EDT
changing version to mainline in order to retire pre-release.

If you know the appropriate, correct version for this bug, please
set it.
Comment 3 Kaleb KEITHLEY 2015-10-22 13:06:51 EDT
changing version to mainline in order to retire pre-release.

If you know the appropriate, correct version for this bug, please
set it.
Comment 4 Kaleb KEITHLEY 2015-10-22 13:11:18 EDT
changing version to mainline in order to retire pre-release.

If you know the appropriate, correct version for this bug, please
set it.

Note You need to log in before you can comment on or make changes to this bug.